org.jfree.chart.renderer

## Class LookupPaintScale

- java.lang.Object
- - org.jfree.chart.renderer.LookupPaintScale

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PaintScale, PublicCloneable

      public class LookupPaintScale
      extends java.lang.Object
      implements PaintScale, PublicCloneable, java.io.Serializable

  A paint scale that uses a lookup table to associate paint instances with data value ranges.
  Since:
    1.0.4
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) static class` | `LookupPaintScale.PaintItem` Stores the paint for a value.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static long` | `serialVersionUID` For serialization.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LookupPaintScale()` Creates a new paint scale.
    `LookupPaintScale(double lowerBound, double upperBound, java.awt.Paint defaultPaint)` Creates a new paint scale with the specified default paint.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(double value, java.awt.Paint paint)` Adds an entry to the lookup table.
    `void` | `add(java.lang.Number value, java.awt.Paint paint)` Deprecated. Use `add(double, Paint)`.
    `java.lang.Object` | `clone()` Returns a clone of the instance.
    `boolean` | `equals(java.lang.Object obj)` Tests this instance for equality with an arbitrary object.
    `java.awt.Paint` | `getDefaultPaint()` Returns the default paint (never `null`).
    `double` | `getLowerBound()` Returns the lower bound.
    `java.awt.Paint` | `getPaint(double value)` Returns the paint associated with the specified value.
    `double` | `getUpperBound()` Returns the upper bound.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          static final long serialVersionUID

      For serialization.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LookupPaintScale

          public LookupPaintScale()

      Creates a new paint scale.

    - #### LookupPaintScale

          public LookupPaintScale(double lowerBound,
                                  double upperBound,
                                  java.awt.Paint defaultPaint)

      Creates a new paint scale with the specified default paint.
      Parameters:
        `lowerBound` - the lower bound.
        `upperBound` - the upper bound.
        `defaultPaint` - the default paint (`null` not permitted).

  - ### Method Detail

    - #### getDefaultPaint

          public java.awt.Paint getDefaultPaint()

      Returns the default paint (never `null`).
      Returns:
        The default paint.

    - #### getLowerBound

          public double getLowerBound()

      Returns the lower bound.
      Specified by:
        `getLowerBound` in interface `PaintScale`
      Returns:
        The lower bound.
      See Also:
        `getUpperBound()`

    - #### getUpperBound

          public double getUpperBound()

      Returns the upper bound.
      Specified by:
        `getUpperBound` in interface `PaintScale`
      Returns:
        The upper bound.
      See Also:
        `getLowerBound()`

    - #### add

          public void add(java.lang.Number value,
                          java.awt.Paint paint)

      Deprecated. Use `add(double, Paint)`.
      Adds an entry to the lookup table. Any values from `n` up to but not including the next value in the table take on the specified `paint`.
      Parameters:
        `value` - the data value (`null` not permitted).
        `paint` - the paint.

    - #### add

          public void add(double value,
                          java.awt.Paint paint)

      Adds an entry to the lookup table. Any values from `n` up to but not including the next value in the table take on the specified `paint`.
      Parameters:
        `value` - the data value.
        `paint` - the paint.
      Since:
        1.0.6

    - #### getPaint

          public java.awt.Paint getPaint(double value)

      Returns the paint associated with the specified value.
      Specified by:
        `getPaint` in interface `PaintScale`
      Parameters:
        `value` - the value.
      Returns:
        The paint.
      See Also:
        `getDefaultPaint()`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Tests this instance for equality with an arbitrary object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the object (`null` permitted).
      Returns:
        A boolean.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Returns a clone of the instance.
      Specified by:
        `clone` in interface `PublicCloneable`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        A clone.
      Throws:
        `java.lang.CloneNotSupportedException` - if there is a problem cloning the instance.